package com.ruoyi.web.modules.video.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 畜牧监控点位 biz_livestock_monitor
 */
public class BizLivestockMonitor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @NotBlank(message = "监控名称不能为空")
    @Size(min = 1, max = 10, message = "监控名称长度为1到10个字符")
    private String monitorName;

    @NotNull(message = "所属主体类型不能为空")
    private Integer ownerType;

    private String ownerTypeName;

    @NotNull(message = "所属主体不能为空")
    private Long ownerId;

    private String ownerName;

    @NotBlank(message = "安装位置不能为空")
    @Size(min = 1, max = 10, message = "安装位置长度为1到10个字符")
    private String installLocation;

    @NotBlank(message = "IP地址不能为空")
    @Size(max = 20, message = "IP地址不能超过20个字符")
    private String ipAddress;

    private String delFlag;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getMonitorName()
    {
        return monitorName;
    }

    public void setMonitorName(String monitorName)
    {
        this.monitorName = monitorName;
    }

    public Integer getOwnerType()
    {
        return ownerType;
    }

    public void setOwnerType(Integer ownerType)
    {
        this.ownerType = ownerType;
    }

    public String getOwnerTypeName()
    {
        return ownerTypeName;
    }

    public void setOwnerTypeName(String ownerTypeName)
    {
        this.ownerTypeName = ownerTypeName;
    }

    public Long getOwnerId()
    {
        return ownerId;
    }

    public void setOwnerId(Long ownerId)
    {
        this.ownerId = ownerId;
    }

    public String getOwnerName()
    {
        return ownerName;
    }

    public void setOwnerName(String ownerName)
    {
        this.ownerName = ownerName;
    }

    public String getInstallLocation()
    {
        return installLocation;
    }

    public void setInstallLocation(String installLocation)
    {
        this.installLocation = installLocation;
    }

    public String getIpAddress()
    {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress)
    {
        this.ipAddress = ipAddress;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }
}
